
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux双网卡bonding绑定实现负载均衡 / iVAN</title>

    <meta name="description" content="linux双网卡bonding绑定实现负载均衡 为了提高系统的高可用性,我们可以将两个或多个网卡进行绑定,变为一个虚拟网卡,使用同一个ip地址,以保证一个链路断掉的时候,另一个链路能随时启动,提高系统的稳定性. 虚拟机中启用双网卡 Finish 双网卡工作的时候表现为一个虚拟网卡(bond0),该虚拟网卡也需要驱动,驱动名叫bonding 查看内核是否支持双网卡的绑定 vim  /boot/config-2.6.18-164.e15">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux双网卡bonding绑定实现负载均衡</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>为了提高系统的高可用性，我们可以将两个或多个网卡进行绑定，变为一个虚拟网卡，使用同一个ip地址，以保证一个链路断掉的时候，另一个链路能随时启动，提高系统的稳定性。</p>
<p>虚拟机中启用双网卡</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUs5NDM0SjAtMC5wbmc=.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUs5NDM0RTYtMS5wbmc=.jpg"></p>
<p>Finish</p>
<p>双网卡工作的时候表现为一个虚拟网卡（bond0），该虚拟网卡也需要驱动，驱动名叫bonding</p>
<p>查看内核是否支持双网卡的绑定</p>
<p>vim  /boot/config-2.6.18-164.e15</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUs5NDMxMlktMi5wbmc=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 22:34:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f/" title="系统">系统</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e9%a9%b1%e5%8a%a8/" title="驱动">驱动</a>, <a href="https://www.iamivan.net/tag/%e8%b4%9f%e8%bd%bd%e5%9d%87%e8%a1%a1/" title="负载均衡">负载均衡</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e5%8d%a1/" title="网卡">网卡</a>, <a href="https://www.iamivan.net/tag/%e9%ab%98%e5%8f%af%e7%94%a8/" title="高可用">高可用</a>, <a href="https://www.iamivan.net/tag/%e5%8f%8c%e7%bd%91%e5%8d%a1/" title="双网卡">双网卡</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux双网卡bonding绑定实现负载均衡的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze7ERwM.html" rel="bookmark">【Linux】Linux双网卡绑定实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux双网卡绑定实现就是使用两块网卡虚拟成为一块网卡,这个聚合起来的设备看起来是一个单独的以太网接口设备,通俗点讲就是两块网卡具有相同的IP地址而并行链接聚合成一个逻辑链路工作.    在正常情况下,网卡只接收目的硬件地址(MAC Address)是自身Mac的以太网帧,对于别的数据帧都滤掉,以减轻驱动程序的负担.但是网卡也支持另外一种被称为混杂promisc的模式,可以接收网络上所有的帧,比如说tcpdump,就是运行在这个模式下.bonding也运行在这个模式下,而且修改了驱动程序中的m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QX2jp.html" rel="bookmark">Linux 双网卡绑定实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux 双网卡绑定实践 前言 工作中主要以SuSE为主,网络作为整个高可用架构中最重要的环节之一,在物理上一般是双网卡绑定模式,通常使用默认的mode=1(active-backup)作为主备关系. 在最近测试大数据的生产服务器中,考虑到性能优先,所以将绑定模式设置为mode=6(balance-alb),使用负载均衡提高1倍流量.与此同时针对SuSE HA架构由Skybility HA往Corosync/Openais+Pacemaker 的测试过程中,配合网络交换机Port Channe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo75aDb.html" rel="bookmark">linux 多网卡bonding</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				linux 多网卡bonding 在实际的生产环境中,往往需要使用多网卡bonding 操作系统为ubuntu1104 主要修改的配置文件为:/etc/network/interfaces/ 提示:若系统不支持bonding,则需要重新编译内核,2.6 以后的内核默认支持bonding			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/My2Z55p.html" rel="bookmark">linux 双网卡绑定网络设置方法&lowbar;unix linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				设置linux主机的主机名和域名 /etc/hosts 例子 127.0.0.1 localhost.localdomain localhost 一般情况下hosts的内容关于主机名(hostname)的定义,每行为一个主机,每行由三部份组成,每个部份由空格隔开.其中#号开头的行做说明,不被系统解释. 第一部份:网络IP地址: 第二部份:主机名.域名,注意主机名和域名之间有个半角的点,比如 localhost.localdomain 第二部份:主机名(主机名别名) ,其实就是主机名: 当然每行也			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5RwODz.html" rel="bookmark">LVS&lpar;Linux Virtual Server&rpar;Linux 虚拟服务器介绍及配置&lpar;负载均衡系统&rpar;&lowbar;服务器其它</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一,简介 LVS(Linux Virtual Server) 是Unix-like系统中的一个虚拟服务器,是国内贡献给开源组织的一个最优秀的项目之一.LVS在Unix-like系统中 是作为一个前端(Director)存在的,又称为调度器,它本身不提供任何的服务,只是将通过互联网进来的请求接受后再转发给后台运行的真正的 服务器(RealServer)进行处理,然后响应给客户端. LVS有两个重要的组件:一个是IPVS,一个是IPVSADM.ipvs是LVS的核心组件,它本身只是一个框架,类似于i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqOD5ez.html" rel="bookmark">linux中搭建高可用及负载均衡的REDIS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				项目决定数据存储使用Redis为主,Mysql只保存日志信息.需要对Redis的高可用及负载均衡做一个部署测试.测试使用虚拟机用. 测试环境 机器 母机:Ubuntu 4核 16G 虚拟机:centos6.5-64 单核 1G 独立ip 3个 虚拟机使用virtual box,centos为64位6.5.具体信息如下 192.168.0.231   Redis-master 192.168.0.231   Redis-slave 192.168.0.239   Virtual IP 软件 Rei			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5WrEab.html" rel="bookmark">Red Hat Linux，Apache2&period;0&plus;Weblogic9&period;2负载均衡集群安装配置&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				************************************************************************************************************************JDK安装步骤 1. 以root身份登录系统 2. 到java.sun.com去下载JDK1.5 for LINUX的rpm,是个jdk-1_5_0_11-linux-i586-rpm.bin的文件. 3. 通过chmod +x jdk-1_5_x-rc-li			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDK0mM.html" rel="bookmark">Ubuntu系统绑定（bond）双网卡设置方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是最近碰到这个问题,需要将两张网卡绑定,共用一个IP,实现冗余效果.实际上linux双网卡的绑定模式有7中,而在这里常用的是 active-backup linux有七种网卡绑定模式:0. round robin,1.active-backup,2.load balancing (xor),  3.fault-tolerance (broadcast), 4.lacp,  5.transmit load balancing, 6.adaptive load balancing linux下网卡			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4oLOp.html" rel="bookmark">Linux下双网卡绑定技术实现负载均衡和失效保护（bond）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于bonding的网络负载均衡是我们在文件服务器中常用到的,比如把三块网卡,当做一块来用,解决一个IP地址,流量过大,服务器网络压力过大的问题.对于文件服务器来说,比如NFS或SAMBA文件服务器,没有所有一个管理员会把内部网的文件服务器的IP地址弄非常多个来解决网络负载的问题.如果在内网中,文件服务器为了管理和应用上的方便,大多是用同一个IP地址.对于一个百M的本地网络来说,文件服务器在多个用户同时使用的情况下,网络压力是极大的,特别是SAMABA和NFS服务器.为了解决同一个IP地址,突破			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd7k3M.html" rel="bookmark" class="title">ontouchevent-android架子鼓怎么实现同时点击多个button同时响应操作的方法？</a>
					<div>
						问题描述 android架子鼓怎么实现同时点击多个button同时响应操作的方法? 本人很爱玩音乐 看到ios平台很多音乐的模拟软件 吉他的~贝斯的 鼓的~~但是android平台却相当不给力 这些软 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRqXeb.html" rel="bookmark" class="title">button-给动态创建的按钮之间添加空间</a>
					<div>
						问题描述 给动态创建的按钮之间添加空间 在程序中我动态的创建了很多按钮,但是如何在两个按钮之间添加空间呢?我用这样的代码但是没有实现,大家能帮助我吗?谢谢! private LinearLayout  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3j10z.html" rel="bookmark" class="title">SQL Server数据库安全规划全攻略</a>
					<div>
						server|安全|攻略|规划|数据|数据库|数据库安全 在改进SQL Server 7.0系列所实现的安全机制的过程中,Microsoft建立了一种既灵活又强大的安全管理机制,它能够对用户访问SQL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxr57z.html" rel="bookmark" class="title">用Photoshop轻松实现批量转换</a>
					<div>
						转换 应用目标:实现图像格式批量转换 应用工具:Photoshop 实现难度:★☆☆☆☆ 大家都知道,在利用Photoshop处理图像时,为了各种输出的需要,有时要把某些图像格式转换成为其他格式.在一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mvj2WM.html" rel="bookmark" class="title">高度自适应与各列背景图自适应延伸之完美解决方案</a>
					<div>
						解决|自适应 一直以来关于高度自适应的问题,确切的说应该是背景自适应的问题,因为许多布局中,需要将背景随着高度的自动变化而平铺,而过去在网上找到的许多高度自适应解决方案并没有真正解决背景图自适应平铺这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWPl7p.html" rel="bookmark" class="title">分享比较热门的原型设计工具</a>
					<div>
						交互设计师的一项重要工作就是进行产品原型设计(Prototype Design).而产品原型设计最基础的工作,就是画出站点的大体wireframe(框架图)并结合批注.大量的说明以及流程图等,将自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9w7dz.html" rel="bookmark" class="title">再学GDI&plus;&lbrack;101&rsqb;&colon; TGPImage&lpar;21&rpar;</a>
					<div>
						本例运行结果: Clsid: {557CF400-1A04-11D3-9A73-0000F81EF32E} FormatID: {B96B3CAB-0728-11D3-9D7B-0000F81EF32 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm726qb.html" rel="bookmark" class="title">COM组件开发实践（一）</a>
					<div>
						开发实践(一)-前端组件化开发实践&quot;&gt; Preface 因为项目需要,开始从事ActiveX方面的工作,看了一些资料,可惜都是些COM原理方面的,没有切合实际动手的东西,在CodePr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL8ekb.html" rel="bookmark" class="title">Oracle partition表分区与分区索引</a>
					<div>
						介绍: 对于10gR2 而言,基本上可以分成几类: Range(范围)分区 Hash(哈希)分区 List(列表)分区 以及组合分区:Range-Hash,Range-List. 准备环境: --1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62ZXNM.html" rel="bookmark" class="title">UNIX环境高级编程：线程同步之互斥量</a>
					<div>
						互斥量(也称为互斥锁)出自POSIX线程标准,可以用来同步同一进程中的各个线程.当然如果一个互斥量存放在多个进程共享的某个内存区中,那么还可以通过互斥量来进行进程间的同步. 互斥量,从字面上就可以知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2XNBp.html" rel="bookmark" class="title">执行lxc-start时lxc-start&colon; cgroup is not mounted问题</a>
					<div>
						lxc-start: cgroup is not mounted 在执行lxc-start时出现上述问题是因为cgroup在宿主机上没有挂载. fix: vim /etc/fstab none     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlK6kb.html" rel="bookmark" class="title">如何显示Word 2013文档中的空格符号</a>
					<div>
						用户在使用Word2013编辑文档时,默认不显示空格符号.如果因为特殊要求需要显示空格符号,则可以按如下步骤操作: 第1步,打开Word2013文档窗口,依次单击&quot;文件&quot;→&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7EjZM.html" rel="bookmark" class="title">利用IFELanguage分隔中文语句并对汉字加注拼音</a>
					<div>
						这篇文档是讲如何利用IFELanguage接口实现对中文语句的分隔,并对词语和字加注拼音的方法. 首先感谢一下Zswang(伴水)兄弟,他的无私奉献精神和对Windows的深入研究值得我们每一个人学习 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6PwEz.html" rel="bookmark" class="title">XNA基础（03） 动画与帧率</a>
					<div>
						我们要做的2D和3D游戏离不开动画,那么在XNA中如何实现动画了? 首先,我们来看最简单的动画 -- 移动. 要移动一个Sprite非常简单,我们只需要在Game1.Update()方法中改变Spri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLZy3b.html" rel="bookmark" class="title">php约瑟夫问题解决关于处死犯人的算法</a>
					<div>
						 这篇文章主要介绍了php约瑟夫问题解决关于处死犯人的算法,实例分析了php关于约瑟夫问题的实现与应用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php约瑟夫问题解决关于处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlwmkb.html" rel="bookmark" class="title">批处理杨辉三角效果实现代码</a>
					<div>
						 这篇文章主要介绍了批处理打印彩色的杨辉三角效果实现代码,喜欢的朋友可以测试下 效果图:   代码如下: @echo off&amp;color 0e setlocal enabledelayedex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1almb.html" rel="bookmark" class="title">xp系统下网络打印机怎么设置？</a>
					<div>
						  打印机共享可以有效节约办公资源,提高办公效率.可是还有很多朋友不知道怎么设置,我们这里讲一下网络打印机的设置方法. 1.我们点开桌面左下角的开始菜单,选择&quot;打印机和传真&quot; 2. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EKVrM.html" rel="bookmark" class="title">基于物联网技术的智能远程医疗系统构建</a>
					<div>
						智能远程医疗系统的主要作用和目的在于利用物联网技术实现对医疗行业的资源整合,优化社会医疗卫生资源配置,提供具有个性服务.全面感知.智能监控等特点的智能远程医疗服务. 远程医疗 智能远程医疗系统的架构设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6wO3b.html" rel="bookmark" class="title">&period;net全局定时定期执行某些操作在Global&period;asax中具体实现&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: &lt;%@ Application Language=&quot;C#&quot; %&gt; &lt;%@ import Namespace=&quot;System.Dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn770Zz.html" rel="bookmark" class="title">中国电信4月份以来已切断非法的网站网址8808个</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 2007年8月27日,中国电信集团公司互联网与增值业务事业部副总经理苗伟就&quot;净化优化网络环境,打击网络淫秽色情&quot;主题,做客&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4N4wNM.html" rel="bookmark" class="title">没落的&OpenCurlyDoubleQuote;贵族&rdquo;：那些年，我们一起玩过的HTC经典机型</a>
					<div>
						随着9月21日谷歌与HTC正式达成11亿美元的深度合作协议,HTC将出售手机业务的传闻终于尘埃落定.不过并不似摩托罗拉整体卖身,HTC更像是断臂求生,仅将Pixel研发团队出售给谷歌,并授予谷歌部分非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32jK7z.html" rel="bookmark" class="title">样式-VB&period;net2010里，按钮FlatStyle为Flat时，热点态灰框怎么去除</a>
					<div>
						问题描述 VB.net2010里,按钮FlatStyle为Flat时,热点态灰框怎么去除 就是当按钮被点击后的那个灰色框框,特别难看,用什么办法去掉- - 属性: FlatStyle = Flat 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWm44p.html" rel="bookmark" class="title">登录界面-delphi 实现验证码功能</a>
					<div>
						问题描述 delphi 实现验证码功能 本人在用delphi做一个登录界面,想实现验证码的功能.但在百度上没找到源码.求源码连接地址或源码,谢谢. 解决方案 很久之前做过一个,源码找不到了,可以提供一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lJo3b.html" rel="bookmark" class="title">&lbrack;译&rsqb; SQL 指引：如何写出更好的查询</a>
					<div>
						本文讲的是[译] SQL 指引:如何写出更好的查询, 原文地址:SQL Tutorial: How To Write Better Queries 原文作者:Karlijn Willems 译文出自: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QKYDp.html" rel="bookmark" class="title">记一次离奇的TNS-12545 TNS-12560 TNS-00515</a>
					<div>
						      最近reportDB监听无法随系统自启动,现象比较怪异.因为该服务器上的另一个实例的监听可以正常启动,这个不能自启动实例的监听手动启动又是正常的.因此记下这次离奇暂未找到原因的故障.    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoGlPb.html" rel="bookmark" class="title">spring和struts、hibernate的集成</a>
					<div>
						问题描述 spring和struts.hibernate的集成原理是什么?或者说spring和struts.hibernate是怎么集成的??? 解决方案 解决方案二:你要文档?解决方案三:有文档更好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRdomb.html" rel="bookmark" class="title">人物特写：RichardStallman和自由软件运动</a>
					<div>
						人类的进化史是一部人类为争取自由的战争史.虽然我不是人类学家,但这不妨碍我相信,在人类历史初期,人们所面临的主要困境是来自大自然的考验,比如:饥饿.严寒,还有那只隔壁山洞里嗷嗷乱叫的老虎.那时虽然环境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKPEYb.html" rel="bookmark" class="title">使用lwuit的textfield的输入法控件调用</a>
					<div>
						问题描述 我开发了个2套系统,登陆界面使用了使用lwuit的textfield,程序移入真机是多普达的P800,问题出现了,因为P800是纯触摸屏的手机,这个时候无法输入内容,后来想了个办法直接在te ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z4kBz.html" rel="bookmark" class="title">基于java&period;nio&period;channels的编程实践-II</a>
					<div>
						介绍 为了提供并发处理效率,把用户的请求连接随机分配到线程池的线程进行处理,hbase也是采用同样的方式处理用户请求的 客户端代码可以参考:基于java.nio.channels的编程实践-I 代码  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKqx8b.html" rel="bookmark" class="title">2014年中国两化融合水平评估报告发布 区域发展呈现四大特点</a>
					<div>
						5日,中国电子信息产业发展研究院发布了2014年中国两化融合发展水平评估报告和2015年中国两化融合十大趋势. 本次评估指标体系包括基础环境.工业应用.应用效益三类共23项指标,其中15项指标数据来自 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
